System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.ValueCollectionParameterReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard. The service-side class provides a method to read parameter name-value pairs that are encoded into the body of an HTTP request with the MIME type application/x-www-form-urlencoded.

You typically will not need to use directly. HTTP-POST Web services are enabled when an ASP.NET configuration file's (Web.config) <protocols> element contains an <add> element whose name attribute's value is "HttpPost". The class is automatically used when an HTTP-POST Web service is enabled and an applicable HTTP request is received.

Reads incoming request parameters for Web services implemented using HTTP, with name-value pairs encoded like an HTML form rather than as a SOAP message.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] ``

  The method uses the content of the object's property.

  Reads name-value pairs into Web method parameter values.

  An array of objects contain the name-value pairs.

  An object containing HTML name-value pairs encoded in the body of an HTTP request. 1.0.5000.0 2.0.0.0